package com.xxfc.platform.order.entity.inter;

import com.github.wxiaoqi.security.admin.feign.dto.AppUserDTO;
import com.xxfc.platform.order.contant.enumerate.ItemTypeEnum;
import com.xxfc.platform.order.entity.BaseOrder;
import com.xxfc.platform.order.entity.OrderItem;

import java.util.List;

public interface OrderDetail extends OrderItemInter {

    Integer getId();

    void setId(Integer id);

    Integer getOrderId();

    void setOrderId(Integer orderId);

    BaseOrder getOrder();

    void setOrder(BaseOrder order);

    Integer getOrderOrigin();

    void setOrderOrigin(Integer orderOrigin);

    List<String> getTickerNo();

    void setTickerNo(List<String> tickerNo);

    public AppUserDTO getAppUserDTO();

    public void setAppUserDTO(AppUserDTO appUserDTO);

}
